Skip to content
Release: Australia · Updated: 2026-03-12 · Official documentation · View source

Outbound web service logging properties

These properties allow you to control the behavior of outbound web service request logging.

PropertyDescription
glide.outbound\_http.db.logBy default, log information is written to a log file and to the instance database. Set this property to false to disable database logging.- Type: true \| false - Default value: true - Location: Add to the System Property \[sys\_properties\] table
glide.outbound\_http.text.content\_typesA comma-separated list of content types. The body of requests or responses with one of these content types is logged. By default, the content types text/\*, application/json, and application/xml are always logged. Use this property to add additional content types.- Type: String - Default value: none - Location: Add to the System Property \[sys\_properties\] table
glide.outbound\_http.content.max\_limitThe maximum number of characters logged from a request or response body. The first characters of the body, up to this limit, are logged. This property has a maximum possible value of 1000.- Type: integer - Default value: 100 - Location: Add to the System Property \[sys\_properties\] table
glide.outbound\_http\_log.overrideWhen this property is set to true, the property glide.outbound_http_log.override.level determines the log level for all requests and responses. This log level overrides any other log level settings. Only use this property for a limited time when troubleshooting.- Type: true \| false - Default value: false - Location: Add to the System Property [sys_properties] table
glide.outbound\_http\_log.override.levelThe log level to use for all requests and responses when glide.outbound_http_log.override is true. Valid values are basic, elevated, and all.- Type: String - Default value: basic - Location: Add to the System Property [sys_properties] table

Parent Topic:Outbound web services: Logging